<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut) {
if ($ya['level'] > 2) {
switch($mode) {
    
case 'del':
$diz -> head('Модерация');
$diz -> title('Модерация');
if (!$id) $id = $ya['id'];
$sql = $db -> query("SELECT * FROM `users` WHERE `id` = '".$id."' and `act`='no'");
if ($sql -> num_rows > 0) {
switch($do) {
case 'yes':
$db -> query("DELETE FROM `users` where `id` = '".$id."'");
$msg .= '<div class="fon">Профиль был удалён!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="dopysk.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
default:
$msg .= '<div class="fon">Вы уверены,что желаете запретить регистрацию данному аккаунту и удалить профиль?';
$msg .= '<br/><a href="./dopysk.php?mode=del&amp;do=yes&amp;id='.$id.'">Да</a> | ';
$msg .= '<a href="./dopysk.php">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);}
} else header('Location: ./dopysk.php');
break;

case 'yes':
if (!$id) $id = $ya['id'];
$sql = $db -> query("SELECT * FROM `users` WHERE `id` = '".$id."' and `act`='no'");
if ($sql -> num_rows > 0) {
switch($do) {
case 'yes':
$db -> query("UPDATE `users` SET `act`='yes',`actid`='$ya[id]' WHERE `id`='$id'");
$diz -> head('Модерация');
$diz -> title('Модерация');
$msg .= '<div class="fon">Профиль был успешно одобрен!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="dopysk.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
default:
$diz -> head('Модерация');
$diz -> title('Модерация');
$msg .= '<div class="fon">Вы уверены,что хотите подтвердить регистрацию профиля?';
$msg .= '<br/><a href="./dopysk.php?mode=yes&amp;do=yes&amp;id='.$id.'">Да</a> | ';
$msg .= '<a href="./dopysk.php">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);}
} else header('Location: ./dopysk.php?');
break;

default:
$diz -> head('Модерация регистраций');
$diz -> title('Модерация регистраций');
$autno = $db -> dbcount('COUNT(`id`)','users',"`act`='no'");
if($autno>0){
$sql = $db -> query("SELECT * FROM `users` where `act`='no' ORDER BY `id` DESC");
while ($u = $sql -> fetch_assoc()) {
$msg .= '<div class="post">id'.$u['id'].') <a href="../my/id'.$u['id'].'">'.$u['login'].'</a> ('.$u['sex'].')<br/>
Профиль создан '.$func->vremja($u['time']).' </br>';
$msg .='Регистрацию: <a href="?mode=yes&amp;id='.$u['id'].'">Разрешить</a> | <a href="?mode=del&amp;id='.$u['id'].'">Запретить</a></div>';
}
}else{
$msg .= '<div class="fon">Неподтверждённых профилей нет!</div>';
}
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else header('location: index.php');
} else header('location: index.php');
?>